<?php

	// Page Initialization
	$level = '';
	$page = 'login';
	include($level.'includes/config.php');
	
	// Variables
	$error = $error2 = "";
	$verification = false;
	$success = 0;
	
	// Check Verification
	if (isset($_GET['ver'])) {
		if ($USERS->updateVerification($_GET['ver'])) {
			$verification = true;
		}
	}
	
	// POST - Register
	if (isset($_POST['new_firstname'])) {	
		$firstname = clean($_POST['new_firstname']);
		$email = clean($_POST['new_email']);
		$password = clean($_POST['new_password']);
		
		if ($firstname != "" && $email != "" && $password != "") {
			if ($USERS->checkEmail($email) == false) {
				// Insert User
				$ver = md5($firstname.$email);
				$time = time();
				$password = crypt($password, SALT);
				$group = $USERS->checkRegisterGroup();
				if ($group == 1) { $ver = ""; }
				$DB->RowInsert('users', array('permissions' => $group, 'joined' => $time, 'email' => $email, 'password' => $password, 'firstname' => $firstname, 'avatar' => DEFAULT_AVATAR, 'ver' => $ver));
				if ($group == 1) { $success = 2; } else { $success = 1; }
				// Send Email
				$formcontent="Please click the following link to verify your account: \n\n".ROOT.'login.php?ver='.$ver;
				$subject = "Forum Verification";
				$mailheader = "From: ".RETURN_EMAIL." \r\n";
				mail($email, $subject, $formcontent, $mailheader);				
			} else {
				$error2 = "Email in Use!";
			}
		} else {
			$error2 = "Enter All Fields!";
		}	
	}
	
	// POST - Login
	if (isset($_POST['email'])) {
		$email = clean($_POST['email']);
		$password = clean($_POST['password']);
		$password = crypt($password, SALT);
		$id = $USERS->checkLoginInfo($email, $password);
		if ($id) {
			if ($USERS->checkVerification($email)) {
				$_SESSION['user_login'] = true;
				$_SESSION['user_id'] = $id;
				if ($USERS->checkFirst($id)) {
					header('Location: user.php?id='.$id);
				} else {
					if (isset($_SESSION['last_page'])) {
						header('Location: '.$_SESSION['last_page']);
					} else {
						header('Location: index.php');
					}
				}
			} else {
				$error = "Please verify your email";
			}
		} else { 
			$error = "Email/Password Not Found";
		}
	}
	
	// Set Last Page
	$_SESSION['last_page'] = 'login.php';

?>

<?php include("parts/doctype.php"); ?>

<head>
	<title>Login / Register</title>
	<?php include("parts/meta.php"); ?>
</head>

<body>

<div id="whole">

	<div id="header"><?php include("parts/header.php"); ?></div>
	
	<div id="main">
	
		<div id="login">
		
			<div class="logincolumn">
				<form method='POST'> 
					<?php if ($error != "") { print("<p class='error2'>".$error."</p>"); } ?>
					<label for="email">Email</label>
					<input class="loginform" id="email" name="email" type='text'>
					<label for="password">Password</label>
					<input class="loginform" id="password" name="password" type='password'>
					<input type="submit" class="button3" value="Login">
				</form>
			</div>
			
			<div class="logincolumn">
			<?php if ($verification == false) { ?>
			<?php if ($success == 0) { ?>
				<form method='POST'>
					<?php if ($error2 != "") { print("<p class='error'>".$error2."</p>"); } ?>
					<label class="loginrlabel" for="firstname">First Name</label>
					<input class="loginform" id="firstname" name="new_firstname" type='text'>
					<label class="loginrlabel" for="email">Email</label>
					<input class="loginform" id="email" name="new_email" type='text'>
					<label class="loginrlabel"  for="password">Password</label>
					<input class="loginform" id="password" name="new_password" type='password'>
					<input type="submit" class="button4" value="Register">
				</form>
			<?php 
				} elseif ($success == 1) { 
					print("<p class='success'>Account Created! Please check your email for details on how to access your account</p>");
				} else { 
					print("<p class='success'>First Account Created! Proceed to login</p>");
				}
				} else { 
					print("<p class='success'>Account Verified! You may proceed to login</p>");
				}
			?>
			</div>
		
		</div>
	
	</div>
	
	<div class="clear"></div>
	
	<div id="footer"><?php include("parts/footer.php"); ?></div>

</div>
	
</body>
</html>